質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

88.91%

Rubyの開発環境におけるエラーについて

受付中

回答 0

投稿

  • 評価
  • クリップ 1
  • VIEW 163

kenty779

score 0

$rails new sampleというコマンドを打ち込むとエラーらしき文が出てきました。幾度と検索をかけましたが、rails初心者の為発見出来ませんでした。どなたか教えて頂けると幸いです。よろしくお願いします。 rails,Rubyのバージョンと関係性があるのでしょうか?

Traceback (most recent call last):
17: from bin/rails:3:in <main>'     16: from bin/rails:3:in require_relative'
15: from /Users/oda/sample/config/boot.rb:4:in <top (required)>'     14: from /Users/oda/sample/config/boot.rb:4:in require'
13: from /Users/oda/sample/vendor/bundle/ruby/2.5.0/gems/bootsnap-1.4.6/lib/bootsnap/setup.rb:2:in <top (required)>'     12: from /Users/oda/sample/vendor/bundle/ruby/2.5.0/gems/bootsnap-1.4.6/lib/bootsnap/setup.rb:2:in require_relative'
11: from /Users/oda/sample/vendor/bundle/ruby/2.5.0/gems/bootsnap-1.4.6/lib/bootsnap.rb:4:in <top (required)>'     10: from /Users/oda/sample/vendor/bundle/ruby/2.5.0/gems/bootsnap-1.4.6/lib/bootsnap.rb:4:in require_relative'
9: from /Users/oda/sample/vendor/bundle/ruby/2.5.0/gems/bootsnap-1.4.6/lib/bootsnap/load_path_cache.rb:74:in <top (required)>'      8: from /Users/oda/sample/vendor/bundle/ruby/2.5.0/gems/bootsnap-1.4.6/lib/bootsnap/load_path_cache.rb:74:in require_relative'
7: from /Users/oda/sample/vendor/bundle/ruby/2.5.0/gems/bootsnap-1.4.6/lib/bootsnap/load_path_cache/store.rb:4:in <top (required)>'      6: from /Users/oda/sample/vendor/bundle/ruby/2.5.0/gems/bootsnap-1.4.6/lib/bootsnap/explicit_require.rb:40:in with_gems'
5: from /Users/oda/sample/vendor/bundle/ruby/2.5.0/gems/bootsnap-1.4.6/lib/bootsnap/explicit_require.rb:44:in rescue in with_gems'      4: from /Users/oda/sample/vendor/bundle/ruby/2.5.0/gems/bootsnap-1.4.6/lib/bootsnap/load_path_cache/store.rb:4:in block in <top (required)>'
3: from /Users/oda/sample/vendor/bundle/ruby/2.5.0/gems/bootsnap-1.4.6/lib/bootsnap/load_path_cache/store.rb:4:in require'      2: from /Users/oda/sample/vendor/bundle/ruby/2.5.0/gems/msgpack-1.3.3/lib/msgpack.rb:8:in <top (required)>'
1: from /Users/oda/sample/vendor/bundle/ruby/2.5.0/gems/msgpack-1.3.3/lib/msgpack.rb:11:in rescue in <top (required)>' /Users/oda/sample/vendor/bundle/ruby/2.5.0/gems/msgpack-1.3.3/lib/msgpack.rb:11:in require': dlopen(/Users/oda/sample/vendor/bundle/ruby/2.5.0/gems/msgpack-1.3.3/lib/msgpack/msgpack.bundle, 9): Library not loaded: /Users/oda/.rvm/rubies/ruby-2.5.8/lib/libruby.2.5.dylib (LoadError)
Referenced from: /Users/oda/sample/vendor/bundle/ruby/2.5.0/gems/msgpack-1.3.3/lib/msgpack/msgpack.bundle
Reason: image not found - /Users/oda/sample/vendor/bundle/ruby/2.5.0/gems/msgpack-1.3.3/lib/msgpack/msgpack.bundle

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 過去に投稿した質問と同じ内容の質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

まだ回答がついていません

15分調べてもわからないことは、teratailで質問しよう!

  • ただいまの回答率 88.91%
  • 質問をまとめることで、思考を整理して素早く解決
  • テンプレート機能で、簡単に質問をまとめられる

関連した質問

同じタグがついた質問を見る